<?php
/**
 * @package Christmas Holiday
 * Setup the WordPress core custom header feature.
 *
 * @uses christmas_holiday_header_style()
*/
function christmas_holiday_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'christmas_holiday_custom_header_args', array(
		'default-image'      => get_template_directory_uri() . '/assets/images/header-bg.png',
		'header-text' 			 =>	false,
		'width'                  => 1200,
		'height'                 => 200,
		'flex-width'    		 => true,
		'flex-height'    		 => true,
		'wp-head-callback'       => 'christmas_holiday_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'christmas_holiday_custom_header_setup' );

if ( ! function_exists( 'christmas_holiday_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see christmas_holiday_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'christmas_holiday_header_style' );

function christmas_holiday_header_style() {
	if ( get_header_image() ) :
	$custom_css = "
        .middle-header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
		    background-size: cover;
		}";
	   	wp_add_inline_style( 'christmas-holiday-basic-style', $custom_css );
	endif;
}
endif;